package com.example.quiz.data.model;


import com.example.quiz.data.model.enums.TypeProduits;

import java.util.List;
import java.util.Map;

public class RaceReport {
    private String dateCourse;
    private String hippodrome;
    private String codeCourse;
    private String nomCourse;
    private int nbrePartants;
    private String arrivee;
    private String nonPartants;
    private Map<TypeProduits, List<GainRapportProduit>> detailsGagnantsGroupes;

    public RaceReport(String dateCourse, String hippodrome, String codeCourse, String nomCourse, int nbrePartants, String arrivee, String nonPartants, Map<TypeProduits, List<GainRapportProduit>> detailsGagnantsGroupes) {
        this.dateCourse = dateCourse;
        this.hippodrome = hippodrome;
        this.codeCourse = codeCourse;
        this.nomCourse = nomCourse;
        this.nbrePartants = nbrePartants;
        this.arrivee = arrivee;
        this.nonPartants = nonPartants;
        this.detailsGagnantsGroupes = detailsGagnantsGroupes;
    }

    public String getNomCourse() {
        return nomCourse;
    }

    public void setNomCourse(String nomCourse) {
        this.nomCourse = nomCourse;
    }

    public String getDateCourse() {
        return dateCourse;
    }

    public void setDateCourse(String dateCourse) {
        this.dateCourse = dateCourse;
    }

    public String getHippodrome() {
        return hippodrome;
    }

    public void setHippodrome(String hippodrome) {
        this.hippodrome = hippodrome;
    }

    public String getCodeCourse() {
        return codeCourse;
    }

    public void setCodeCourse(String codeCourse) {
        this.codeCourse = codeCourse;
    }

    public int getNbrePartants() {
        return nbrePartants;
    }

    public void setNbrePartants(int nbrePartants) {
        this.nbrePartants = nbrePartants;
    }

    public String getArrivee() {
        return arrivee;
    }

    public void setArrivee(String arrivee) {
        this.arrivee = arrivee;
    }

    public String getNonPartants() {
        return nonPartants;
    }

    public void setNonPartants(String nonPartants) {
        this.nonPartants = nonPartants;
    }

    public Map<TypeProduits, List<GainRapportProduit>> getDetailsGagnantsGroupes() {
        return detailsGagnantsGroupes;
    }

    public void setDetailsGagnantsGroupes(Map<TypeProduits, List<GainRapportProduit>> detailsGagnantsGroupes) {
        this.detailsGagnantsGroupes = detailsGagnantsGroupes;
    }
}
